## org.eclipse.jet.ui.newproject
Class NewProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.jet.ui.newproject.NewProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class NewProjectWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

Implement New Project Wizard for JET2 transforms.

Field Summary
`protected NewProjectInfo` `newProjectInfo`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`NewProjectWizard()`

Method Summary
`void` `addPages()`
`protected boolean` `allowExtensionSpecification()` Indicates whether the wizard will allow specification of JET transformation extensions.
`boolean` `canFinish()`
`protected java.lang.String` `getBuildModel()`
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
`boolean` `performFinish()`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### newProjectInfo

    protected final NewProjectInfo newProjectInfo

Constructor Detail

### NewProjectWizard

    public NewProjectWizard()

Method Detail

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### getBuildModel

    protected final java.lang.String getBuildModel()

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### allowExtensionSpecification

    protected boolean allowExtensionSpecification()

  Indicates whether the wizard will allow specification of JET transformation extensions. Clients may override this method. Default implementation returns `true`.

  Returns:
    `true` if extension transformations will be allowed.

### canFinish

    public boolean canFinish()

  Specified by:
    `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `canFinish` in class `org.eclipse.jface.wizard.Wizard`

Copyright 2006 IBM Corporation and others. All Rights Reserved.